### Class

# FwupdPlugin Edid

#### Description

    final class FwupdPlugin.Edid : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_edid_new

No description available.

since: 1.9.6

#### Instance methods

###### fu_edid_get_eisa_id

Gets the EISA ID, e.g. `LTN154P2-L05`.

since: 1.9.6

###### fu_edid_get_pnp_id

Gets the PNP ID, e.g. `IBM`.

since: 1.9.6

###### fu_edid_get_product_code

Gets the product code.

since: 1.9.6

###### fu_edid_get_serial_number

Gets the serial number.

since: 1.9.6

###### fu_edid_set_eisa_id

Sets the EISA ID, which has to be equal to or less than 13 ASCII characters long.

since: 1.9.6

###### fu_edid_set_pnp_id

Sets the PNP ID, which has a length equal to or less than 3 ASCII characters.

since: 1.9.6

###### fu_edid_set_product_code

Sets the product code.

since: 1.9.6

###### fu_edid_set_serial_number

Sets the serial number, which can either be a unsigned 32 bit integer, or a string equal to or less than 13 ASCII characters long.

since: 1.9.6

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginEdidClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.